クレジット不足
この問題が発生すると、APIは402 Payment Requiredを返します。このエラーのtypeはhttps://lingo.dev/docs/api/errors/credit-limit-reachedです。すべてのエラーに共通する形式については、エラーとステータスコードをご覧ください。
組織<organizationId>のクレジットを使い切りました。続行するには、残高をチャージするか、自動チャージを有効にしてください。
フィールド#
レスポンス本文には、標準のtype、status、title、detailの各メンバーに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
organizationId | string |
例#
json
{
"detail": "Organization <organizationId> has run out of credits. Top up the balance or enable automatic top-ups to continue.",
"organizationId": "<organizationId>",
"type": "https://lingo.dev/docs/api/errors/credit-limit-reached",
"status": 402,
"title": "Out of credits"
}このエラーを返すエンドポイント#
POST /v2/engines/{engineId}/provisioning/jobsPOST /v2/localization/jobs/{id}/startPOST /v2/organizations/{orgId}/provisioning/jobsPOST /v2/provisioning/jobs/{id}/retry